%define nagios_plugins_dir %{_libdir}/nagios/plugins

Name:           nagios-plugins-rsync
Version:        1.01
Release:        0.2%{?dist}
Summary:        Nagios plugin to monitor remote rsync servers

Group:          Applications/System
License:        GPLv2+
URL:            http://www.nagiosexchange.org/cgi-bin/page.cgi?g=Detailed%2F2094.html;d=1
Source0:        check_rsync
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       nagios-plugins, nagios-plugins-perl, perl(Test::Simple)

%description
This plugin allows you to check rsync servers' availability, as well 
as (optionally) individual modules' availability. It also supports 
authentication on modules.


%prep
%setup -q -c -T
sed -e "s|/usr/local/nagios/libexec|%{nagios_plugins_dir}|" < %{SOURCE0} > check_rsync

%build
# It's a single perl script. No building required.

%install
rm -rf $RPM_BUILD_ROOT
install -D -p -m 755 check_rsync $RPM_BUILD_ROOT/%{nagios_plugins_dir}/check_rsync

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{nagios_plugins_dir}/check_rsync


%changelog
* Thu Jul 03 2008 Patrick "Jima" Laughton <jima@beer.tclug.org> 1.01-0.2
- Made changes as recommended by Peter Lemenkov in package review

* Thu Dec 13 2007 Patrick "Jima" Laughton <jima@beer.tclug.org> 1.01-0.1
- Initial Fedora SRPM
- Spec shamelessly stolen/adapted from nagios-plugins-snmp-disk-proc (thanks!)
